# pep5-dl
An unofficial script to download the slides of the 2023 PEP5 lecture.

## Disclaimer
This script uses your login credentials.
If the script is run multiple times without terminating properly (before logout procedure) the Übungsgruppensystem might block you for some hours.
Use at your own risk.

## Installation
Requires `playwright` (with `chromium` driver) and `PyPDF4`:
```sh
pip install playwright PyPDF4
playwright install chromium
```
Then you just need to download the [`pep5-dl`](https://git.haagfank.de/LnLcFlx/pep5-dl/raw/branch/master/pep5-dl) file from this repository.

### (Without `PyPDF4`)
If you are on Linux and have `pdfunite` installed, you can alternatively supply `--merger=pdfunite` and do not need `PyPDF4`.

Alternatively you can supply `--merger=none --keep --tmpdir=<DIR>` and simply download the individual PDFs to `<DIR>`.

## Usage
If you simply want to download all current slides into one file `slides.pdf` in the current directory, run
```sh
python pep5-dl '<USERNAME>' '<PASSWORD>'
```
where your have to replace `<USERNAME>` and `<PASSWORD>` with your credentials.

For help and more options run `pep5-dl --help`.
